#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	CSV
Summary:	DBD::CSV - DBI driver for CSV files
Summary(pl.UTF-8):	DBD::CSV - sterownik DBI dla plików CSV
Name:		perl-DBD-CSV
Version:	0.48
Release:	1
Epoch:		1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	11391a868171dfe493f0a907d8c33596
URL:		http://search.cpan.org/dist/DBD-CSV/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI >= 1.42
BuildRequires:	perl-SQL-Statement
BuildRequires:	perl-Text-CSV_XS
%endif
Requires:	perl-DBI >= 1.42
Requires:	perl-SQL-Statement
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBD::CSV module is yet another driver for the DBI (Database
Independent Interface for Perl). This one is based on the SQL "engine"
SQL::Statement and the abstract DBI driver DBD::File and implements
access to so-called CSV files (Comma separated values). Such files are
mostly used for exporting MS Access and MS Excel data.

%description -l pl.UTF-8
Moduł DBD::CSV jest kolejnym sterownikiem dla DBI (Database
Independent Interface). Opiera się na ,,silniku'' SQL --
SQL::Statement, oraz abstrakcyjnym sterowniku DBD::File (załączonym w
tej dystrybucji). Implementuje dostęp do tzw. plików CSV (Comma
Separated Values -- ,,wartości oddzielone średnikami''). Ten format
plików spotykany jest najczęściej przy eksportowaniu danych z
programów MS Access i MS Excel.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
AUTOMATED_TESTING=1 %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# don't package Bundle and Test
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/Bundle::DBD::CSV.3pm
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Bundle/DBD/CSV.pm
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorlib}/DBI/Test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/DBD/CSV.pm
%dir %{perl_vendorlib}/DBD/CSV
%{perl_vendorlib}/DBD/CSV/GetInfo.pm
%{perl_vendorlib}/DBD/CSV/TypeInfo.pm
%{_mandir}/man3/DBD*.3pm*
%changelog
* Thu Dec 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-CSV.git;a=log;h=master

* Wed Sep 09 2015 Elan Ruusamäe <glen@delfi.ee> 6bf9be2
- remove bundle and test

* Wed Sep 09 2015 Marcin Krol <hawk@tld-linux.org> 96c8cd2
- updated to 0.48, note: test and bundle modules were not packaged

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> fe8bc5d
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8eda8c6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 09374cf
- converted to UTF-8

* Tue Oct 03 2006 trojan <trojan@pld-linux.org> 80f98ae
- added R: perl-SQL-Statement
- release 3; STBR

* Tue Jun 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 0a235c9
- don't assume manuals gzipping

* Mon Jun 13 2005 petec <petec@pld-linux.org> ee8c338
- we don't need Bundle::
- release 2

* Mon Jun 13 2005 petec <petec@pld-linux.org> 9a89996
- up to 0.22
- one new .pm

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e6cbebf
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 6fc2be4
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Tue Apr 20 2004 Jakub Bogusz <qboosh@pld-linux.org> ced8cb7
- updated to 0.21 for DBI 1.42+, Epoch 1

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 719f3a8
- new bconds

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 124c3be
- license fixes and unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 5c240b9
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 053ecd5
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 3394838
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 76e4187
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> c2d6115
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 7fecd27
- should be ready for perl-5.8.0; release++

